%{?nodejs_find_provides_and_requires}

%global packagename ripemd160
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.1
Release: 1%{?dist}.3
Summary: Compute ripemd160 of bytes or strings.
License: BSD
URL: https://github.com/crypto-browserify/ripemd160
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.1.0
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Node style ripemd160 on pure JavaScript.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha test
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 1.0.1-1
- Initial package.
